package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.global.common.constants.DynamoDBConstants;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class FriendDoc extends DynamoDBDocBase {
    private String friendAttrib;

    public String getAttribFieldName() {
        return DynamoDBConstants.ATTRIB_FRIEND;
    }

    @DynamoDbAttribute(DynamoDBConstants.ATTRIB_FRIEND)
    @JsonProperty(DynamoDBConstants.ATTRIB_FRIEND)
    public String getAttribValue() {
        return friendAttrib;
    }

    public void setAttribValue(String value) {
        this.friendAttrib = value;
    }
}

